<%
  Function UseJmail(m_Email,m_Subject,m_Body,m_Sender,m_SenderName)
	On error resume next
	dim JMail
	Set JMail = Server.CreateObject("JMail.SMTPMail")
	JMail.Silent = True
	'JMail.Logging = True
	if MailListInfo(8)="0" then	JMail.Charset = "gb2312" 
	if MailListInfo(8)="1" then	JMail.Charset = "US-ASCII" 
	'if MailListInfo(8)="2" then	JMail.Charset = "US-ASCII" 
	JMail.ContentType = m_ContentType   'text/plain text/html
	JMail.Priority = m_Priority
	JMail.Sender = m_Sender
    if m_SenderName <> "" then JMail.SenderName = m_SenderName
	JMail.Subject = m_Subject
	JMail.Body = m_Body
	JMail.AddRecipient m_Email
	if m_Email2 <> "" then JMail.AddRecipientCC(m_Email2)
	if m_Email3 <> "" then JMail.AddRecipientBCC(m_Email3)
	if MailListInfo(10) <> "" then JMail.ServerAddress = MailListInfo(10)
	if MailListInfo(11) <> "" then JMail.MailServerUserName = MailListInfo(11) 
	if MailListInfo(12) <> "" then JMail.MailServerPassword = MailListInfo(12) 
	JMail.Execute 
	Set JMail = nothing 
	If err then 
	  SendMail = err.description
	  err.clear
	Else
	  SendMail = "OK"
	End if
	UseJmail = SendMail'Return
  End Function

	sub Cdonts(email,topic,mailbody)
	on error resume next
	dim  objCDOMail
	Set objCDOMail = Server.CreateObject("CDONTS.NewMail")
	objCDOMail.From =Forum_info(5)
	objCDOMail.To =email
	objCDOMail.Subject =topic
	objCDOMail.BodyFormat = 0 
	objCDOMail.MailFormat = 0 
	objCDOMail.Body =mailbody
	objCDOMail.Send
	Set objCDOMail = Nothing
	if err then 
	SendMail=err.description
	err.clear
	else
	SendMail="OK"
	end if
	end sub

	sub aspemail(email,topic,mailbody)
	on error resume next
	dim mailer,recipient,sender,subject,message
	dim mailserver,result
	Set mailer=Server.CreateObject("ASPMAIL.jspMailCtrl.1")  
	recipient=email
	sender=Forum_info(5)
	subject=topic
	message=mailbody
	mailserver=Forum_info(4)
	result=mailer.SendMail(mailserver, recipient, sender, subject, message)
	if err then 
	SendMail=err.description
	err.clear
	else
	SendMail="OK"
	end if
	end sub

	Function EmailBody(body)
	Copyright="<FONT  face=Arial>Copyright &copy; 2003-2004 ÍøÂçÐÂ½Ó´¥ [<a target='_blank' href='http://www.yclife.cn'>www.yclife.cn</a> ] All Rights Reserved</FONT>"
	strBody=strBody &"<style>A:visited {	TEXT-DECORATION: none	}"
	strBody=strBody &"A:active  {	TEXT-DECORATION: none	}"
	strBody=strBody &"A:hover   {	TEXT-DECORATION: underline overline	}"
	strBody=strBody &"A:link 	  {	text-decoration: none;}"
	strBody=strBody &"A:visited {	text-decoration: none;}"
	strBody=strBody &"A:active  {	TEXT-DECORATION: none;}"
	strBody=strBody &"A:hover   {	TEXT-DECORATION: underline overline}"
	strBody=strBody &"BODY   {	FONT-FAMILY: ËÎÌå; FONT-SIZE: 9pt;}"
	strBody=strBody &"TD	   {	FONT-FAMILY: ËÎÌå; FONT-SIZE: 12pt	}</style>"
	strBody=strBody &"<TABLE bgcolor='#fcfcfc' border=0 width='95%' align=center><TBODY><TR>"
	strBody=strBody &"<TD valign=middle align=top>"
	strBody=strBody & body
	strBody=strBody &"</TD></TR></TBODY></TABLE><hr width=95% size=1><center>"
	strBody=strBody & Copyright & "</center>"
	EmailBody=strBody
	End Function
%>
